Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.provider
Class SortedChannelResource

    java.lang.Object
      org.esupportail.portal.channels.CStockage.provider.ChannelResource
          org.esupportail.portal.channels.CStockage.provider.SortedChannelResource

All Implemented Interfaces:
  java.lang.Comparable

public class SortedChannelResource
extends ChannelResource
implements java.lang.Comparable

Id: SortedChannelResource.java,v 1.0 13 avr. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: SortedChannelResource Original Author: Yohan Colmant This is a channel resource used to sort

Field Summary
`static java.lang.String` | `SORT_DATE`
`static java.lang.String` | `SORT_DATE_REVERSE`
`static java.lang.String` | `SORT_NAME`
`static java.lang.String` | `SORT_NAME_REVERSE`
`static java.lang.String` | `SORT_TYPE`
`static java.lang.String` | `SORT_TYPE_REVERSE`
`static java.lang.String` | `SORT_WEIGHT`
`static java.lang.String` | `SORT_WEIGHT_REVERSE`

Constructor Summary
`SortedChannelResource(ChannelResource resource, java.lang.String sortType)`

Method Summary
`int` | `compareSortDate(java.lang.Object arg0)` Compare this to an other object, for the SORT_DATE sort
`int` | `compareSortDateReverse(java.lang.Object arg0)` Compare this to an other object, for the SORT_DATE_REVERSE sort
`int` | `compareSortName(java.lang.Object arg0)` Compare this to an other object, for the SORT_NAME sort
`int` | `compareSortNameReverse(java.lang.Object arg0)` Compare this to an other object, for the SORT_NAME_REVERSE sort
`int` | `compareSortType(java.lang.Object arg0)` Compare this to an other object, for the SORT_TYPE sort
`int` | `compareSortTypeReverse(java.lang.Object arg0)` Compare this to an other object, for the SORT_TYPE_REVERSE sort
`int` | `compareSortWeight(java.lang.Object arg0)` Compare this to an other object, for the SORT_WEIGHT sort
`int` | `compareSortWeightReverse(java.lang.Object arg0)` Compare this to an other object, for the SORT_WEIGHT_REVERSE sort
`int` | `compareTo(java.lang.Object arg0)` Compare this to an other object
`static java.util.TreeSet` | `sortResources(ChannelResource[] resources, java.lang.String sortType)` Sort the resources to a tree set

Methods inherited from class org.esupportail.portal.channels.CStockage.provider.ChannelResource
`getContentLength, getContentType, getDisplayName, getInputStream, getLastModified, getPath, getState, isCollection, setState, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SORT_TYPE

    public static final java.lang.String SORT_TYPE

See Also:
  Constant Field Values

### SORT_TYPE_REVERSE

    public static final java.lang.String SORT_TYPE_REVERSE

See Also:
  Constant Field Values

### SORT_NAME

    public static final java.lang.String SORT_NAME

See Also:
  Constant Field Values

### SORT_NAME_REVERSE

    public static final java.lang.String SORT_NAME_REVERSE

See Also:
  Constant Field Values

### SORT_WEIGHT

    public static final java.lang.String SORT_WEIGHT

See Also:
  Constant Field Values

### SORT_WEIGHT_REVERSE

    public static final java.lang.String SORT_WEIGHT_REVERSE

See Also:
  Constant Field Values

### SORT_DATE

    public static final java.lang.String SORT_DATE

See Also:
  Constant Field Values

### SORT_DATE_REVERSE

    public static final java.lang.String SORT_DATE_REVERSE

See Also:
  Constant Field Values

Constructor Detail

### SortedChannelResource

    public SortedChannelResource(ChannelResource resource,
                                 java.lang.String sortType)

Parameters:
  `resource` -
  `sortType` -

Method Detail

### compareTo

    public int compareTo(java.lang.Object arg0)

  Compare this to an other object

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortType

    public int compareSortType(java.lang.Object arg0)

  Compare this to an other object, for the SORT_TYPE sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortTypeReverse

    public int compareSortTypeReverse(java.lang.Object arg0)

  Compare this to an other object, for the SORT_TYPE_REVERSE sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortName

    public int compareSortName(java.lang.Object arg0)

  Compare this to an other object, for the SORT_NAME sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortNameReverse

    public int compareSortNameReverse(java.lang.Object arg0)

  Compare this to an other object, for the SORT_NAME_REVERSE sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortWeight

    public int compareSortWeight(java.lang.Object arg0)

  Compare this to an other object, for the SORT_WEIGHT sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortWeightReverse

    public int compareSortWeightReverse(java.lang.Object arg0)

  Compare this to an other object, for the SORT_WEIGHT_REVERSE sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortDate

    public int compareSortDate(java.lang.Object arg0)

  Compare this to an other object, for the SORT_DATE sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### compareSortDateReverse

    public int compareSortDateReverse(java.lang.Object arg0)

  Compare this to an other object, for the SORT_DATE_REVERSE sort

  Parameters:
    `arg0` - the object we want to compare to
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### sortResources

    public static java.util.TreeSet sortResources(ChannelResource[] resources,
                                                  java.lang.String sortType)

  Sort the resources to a tree set

  Parameters:
    `resources` - the resources list in an array
    `sortType` - the type of sort
  Returns:
    the tree set containing all the resources

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD